Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface AssociationType1

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  AssociationType1Impl

    public interface AssociationType1

extends RegistryObjectType

A representation of the model object 'Association Type1'. Association is the mapping of the same named interface in ebRIM. It extends RegistryObject. An Association specifies references to two previously submitted registry entrys. The sourceObject is id of the sourceObject in association The targetObject is id of the targetObject in association

The following features are supported:

- `Association Type`
- `Is Confirmed By Source Owner`
- `Is Confirmed By Target Owner`
- `Source Object`
- `Target Object`

See Also:
  `RimPackage.getAssociationType1()`

Method Summary
`java.lang.String` | `getAssociationType()` Returns the value of the 'Association Type' attribute.
`java.lang.String` | `getSourceObject()` Returns the value of the 'Source Object' attribute.
`java.lang.String` | `getTargetObject()` Returns the value of the 'Target Object' attribute.
`boolean` | `isIsConfirmedBySourceOwner()` Returns the value of the 'Is Confirmed By Source Owner' attribute.
`boolean` | `isIsConfirmedByTargetOwner()` Returns the value of the 'Is Confirmed By Target Owner' attribute.
`boolean` | `isSetIsConfirmedBySourceOwner()` Returns whether the value of the '`Is Confirmed By Source Owner`' attribute is set.
`boolean` | `isSetIsConfirmedByTargetOwner()` Returns whether the value of the '`Is Confirmed By Target Owner`' attribute is set.
`void` | `setAssociationType(java.lang.String value)` Sets the value of the '`Association Type`' attribute.
`void` | `setIsConfirmedBySourceOwner(boolean value)` Sets the value of the '`Is Confirmed By Source Owner`' attribute.
`void` | `setIsConfirmedByTargetOwner(boolean value)` Sets the value of the '`Is Confirmed By Target Owner`' attribute.
`void` | `setSourceObject(java.lang.String value)` Sets the value of the '`Source Object`' attribute.
`void` | `setTargetObject(java.lang.String value)` Sets the value of the '`Target Object`' attribute.
`void` | `unsetIsConfirmedBySourceOwner()` Unsets the value of the '`Is Confirmed By Source Owner`' attribute.
`void` | `unsetIsConfirmedByTargetOwner()` Unsets the value of the '`Is Confirmed By Target Owner`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RegistryObjectType
`getAccessControlPolicy, getClassification, getDescription, getExternalIdentifier, getId, getName, getObjectType, getSlot, setAccessControlPolicy, setDescription, setId, setName, setObjectType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAssociationType

    java.lang.String getAssociationType()

  Returns the value of the 'Association Type' attribute.

  If the meaning of the 'Association Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association Type' attribute.
  See Also:
    `setAssociationType(String)`, `RimPackage.getAssociationType1_AssociationType()`

### setAssociationType

    void setAssociationType(java.lang.String value)

  Sets the value of the '`Association Type`' attribute.

  Parameters:
    `value` - the new value of the 'Association Type' attribute.
  See Also:
    `getAssociationType()`

### isIsConfirmedBySourceOwner

    boolean isIsConfirmedBySourceOwner()

  Returns the value of the 'Is Confirmed By Source Owner' attribute.

  If the meaning of the 'Is Confirmed By Source Owner' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Confirmed By Source Owner' attribute.
  See Also:
    `isSetIsConfirmedBySourceOwner()`, `unsetIsConfirmedBySourceOwner()`, `setIsConfirmedBySourceOwner(boolean)`, `RimPackage.getAssociationType1_IsConfirmedBySourceOwner()`

### setIsConfirmedBySourceOwner

    void setIsConfirmedBySourceOwner(boolean value)

  Sets the value of the '`Is Confirmed By Source Owner`' attribute.

  Parameters:
    `value` - the new value of the 'Is Confirmed By Source Owner' attribute.
  See Also:
    `isSetIsConfirmedBySourceOwner()`, `unsetIsConfirmedBySourceOwner()`, `isIsConfirmedBySourceOwner()`

### unsetIsConfirmedBySourceOwner

    void unsetIsConfirmedBySourceOwner()

  Unsets the value of the '`Is Confirmed By Source Owner`' attribute.

  See Also:
    `isSetIsConfirmedBySourceOwner()`, `isIsConfirmedBySourceOwner()`, `setIsConfirmedBySourceOwner(boolean)`

### isSetIsConfirmedBySourceOwner

    boolean isSetIsConfirmedBySourceOwner()

  Returns whether the value of the '`Is Confirmed By Source Owner`' attribute is set.

  Returns:
    whether the value of the 'Is Confirmed By Source Owner' attribute is set.
  See Also:
    `unsetIsConfirmedBySourceOwner()`, `isIsConfirmedBySourceOwner()`, `setIsConfirmedBySourceOwner(boolean)`

### isIsConfirmedByTargetOwner

    boolean isIsConfirmedByTargetOwner()

  Returns the value of the 'Is Confirmed By Target Owner' attribute.

  If the meaning of the 'Is Confirmed By Target Owner' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Confirmed By Target Owner' attribute.
  See Also:
    `isSetIsConfirmedByTargetOwner()`, `unsetIsConfirmedByTargetOwner()`, `setIsConfirmedByTargetOwner(boolean)`, `RimPackage.getAssociationType1_IsConfirmedByTargetOwner()`

### setIsConfirmedByTargetOwner

    void setIsConfirmedByTargetOwner(boolean value)

  Sets the value of the '`Is Confirmed By Target Owner`' attribute.

  Parameters:
    `value` - the new value of the 'Is Confirmed By Target Owner' attribute.
  See Also:
    `isSetIsConfirmedByTargetOwner()`, `unsetIsConfirmedByTargetOwner()`, `isIsConfirmedByTargetOwner()`

### unsetIsConfirmedByTargetOwner

    void unsetIsConfirmedByTargetOwner()

  Unsets the value of the '`Is Confirmed By Target Owner`' attribute.

  See Also:
    `isSetIsConfirmedByTargetOwner()`, `isIsConfirmedByTargetOwner()`, `setIsConfirmedByTargetOwner(boolean)`

### isSetIsConfirmedByTargetOwner

    boolean isSetIsConfirmedByTargetOwner()

  Returns whether the value of the '`Is Confirmed By Target Owner`' attribute is set.

  Returns:
    whether the value of the 'Is Confirmed By Target Owner' attribute is set.
  See Also:
    `unsetIsConfirmedByTargetOwner()`, `isIsConfirmedByTargetOwner()`, `setIsConfirmedByTargetOwner(boolean)`

### getSourceObject

    java.lang.String getSourceObject()

  Returns the value of the 'Source Object' attribute.

  If the meaning of the 'Source Object' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Object' attribute.
  See Also:
    `setSourceObject(String)`, `RimPackage.getAssociationType1_SourceObject()`

### setSourceObject

    void setSourceObject(java.lang.String value)

  Sets the value of the '`Source Object`' attribute.

  Parameters:
    `value` - the new value of the 'Source Object' attribute.
  See Also:
    `getSourceObject()`

### getTargetObject

    java.lang.String getTargetObject()

  Returns the value of the 'Target Object' attribute.

  If the meaning of the 'Target Object' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Object' attribute.
  See Also:
    `setTargetObject(String)`, `RimPackage.getAssociationType1_TargetObject()`

### setTargetObject

    void setTargetObject(java.lang.String value)

  Sets the value of the '`Target Object`' attribute.

  Parameters:
    `value` - the new value of the 'Target Object' attribute.
  See Also:
    `getTargetObject()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD